# This code defines critical sections.  We use the macros from the
#   header file to make sure they match

#define  __LP_ASM_ONLY
#define RDX %rdx
#define RAX %rax
#define RBX %rbx
#define FS %fs
#include "limit.h"

.text
	.global __lp_sec0
	.global __lp_sec1
	.global __lp_sec2
	.global __lp_sec3
	.global __lp_sec_end
	
__lp_sec0:
	__LP_ASM()
__lp_sec1:
	__LP_ASM()
__lp_sec2:
	__LP_ASM()
__lp_sec3:
	__LP_ASM()
__lp_sec_end:
	nop